package com.tmerclub.cloud.flow.vo;

import com.alibaba.excel.annotation.ExcelProperty;

import java.io.Serial;
import java.io.Serializable;

/**
 * @author TRACK
 */
public class FlowTrendExcelVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * excel 信息
     */
    public static final String EXCEL_NAME = "流量趋势分析信息";
    /**
     * 哪一行开始导出
     */
    public static final int MERGE_ROW_INDEX = 2;

    /**
     * 需要合并的列数组
     */
    public static final int[] MERGE_COLUMN_INDEX = {};

    @ExcelProperty({"流量趋势分析信息", "时间"})
    private String date;

    @ExcelProperty({"流量趋势分析信息", "访客数"})
    private Integer userNums;

    @ExcelProperty({"流量趋势分析信息", "新访客数"})
    private Integer newUserNums;

    @ExcelProperty({"流量趋势分析信息", "浏览量"})
    private Integer visitNums;

    @ExcelProperty({"流量趋势分析信息", "人均浏览量"})
    private Double averageVisitNums;

    @ExcelProperty({"流量趋势分析信息", "加购数量"})
    private Integer plusShopCart;

    @ExcelProperty({"流量趋势分析信息", "跳失率"})
    private Double lossUserRate;

    @ExcelProperty({"流量趋势分析信息", "下单人数"})
    private Integer placeOrderUser;

    @ExcelProperty({"流量趋势分析信息", "支付人数"})
    private Integer payUser;

    public String getDate() {
        return date;
    }

    public void setDate(String date) {
        this.date = date;
    }

    public Integer getUserNums() {
        return userNums;
    }

    public void setUserNums(Integer userNums) {
        this.userNums = userNums;
    }

    public Integer getNewUserNums() {
        return newUserNums;
    }

    public void setNewUserNums(Integer newUserNums) {
        this.newUserNums = newUserNums;
    }

    public Integer getVisitNums() {
        return visitNums;
    }

    public void setVisitNums(Integer visitNums) {
        this.visitNums = visitNums;
    }

    public Double getAverageVisitNums() {
        return averageVisitNums;
    }

    public void setAverageVisitNums(Double averageVisitNums) {
        this.averageVisitNums = averageVisitNums;
    }

    public Integer getPlusShopCart() {
        return plusShopCart;
    }

    public void setPlusShopCart(Integer plusShopCart) {
        this.plusShopCart = plusShopCart;
    }

    public Double getLossUserRate() {
        return lossUserRate;
    }

    public void setLossUserRate(Double lossUserRate) {
        this.lossUserRate = lossUserRate;
    }

    public Integer getPlaceOrderUser() {
        return placeOrderUser;
    }

    public void setPlaceOrderUser(Integer placeOrderUser) {
        this.placeOrderUser = placeOrderUser;
    }

    public Integer getPayUser() {
        return payUser;
    }

    public void setPayUser(Integer payUser) {
        this.payUser = payUser;
    }

    @Override
    public String toString() {
        return "FlowTrendExcelVO{" +
                "date='" + date + '\'' +
                ", userNums=" + userNums +
                ", newUserNums=" + newUserNums +
                ", visitNums=" + visitNums +
                ", averageVisitNums=" + averageVisitNums +
                ", plusShopCart=" + plusShopCart +
                ", lossUserRate=" + lossUserRate +
                ", placeOrderUser=" + placeOrderUser +
                ", payUser=" + payUser +
                '}';
    }
}
